View Issue Details

IDProjectCategoryView StatusLast Update
0020614LazarusLCLpublic2014-09-25 15:57
ReporterPeder IversenAssigned ToVincent Snijders 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.30Product Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0020614: Pixels behavior depends on previous setting of PenMode
DescriptionI use a code that sets the Pixels Color individually. That works fine, but when the modes pmNot and bsClear have been set and then set back to pmCopy and bsSolid it seems that setting the pixels color just inverts the color.
Additional InformationA: The DrawRectangle will paint the form yellow by setting each Pixels color.
B: The "Outline" menu item will draw an inverted rectangle
After B has been used A doesn't work properly any more.

I must admit that I am a novice in programming, but a similar approach worked fine in creating a Mandelbroot type program in Delphi.

Yours Peder Iversen, Denmark.
TagsNo tags attached.
Fixed in Revision46324
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Activities

2011-11-02 11:38

 

Publish.zip (2,338 bytes)

Issue History

Date Modified Username Field Change
2011-11-02 11:38 Peder Iversen New Issue
2011-11-02 11:38 Peder Iversen File Added: Publish.zip
2011-11-02 11:38 Peder Iversen Widgetset => Win32/Win64
2012-03-13 10:23 Vincent Snijders LazTarget => 1.2
2012-03-13 10:23 Vincent Snijders Status new => acknowledged
2012-03-13 10:23 Vincent Snijders Target Version => 1.2.0
2014-01-14 15:10 Martin Friebe LazTarget 1.2 => 1.4
2014-01-14 15:12 Martin Friebe Target Version 1.2.0 => 1.4
2014-09-25 15:54 Vincent Snijders Assigned To => Vincent Snijders
2014-09-25 15:54 Vincent Snijders Status acknowledged => assigned
2014-09-25 15:57 Vincent Snijders Fixed in Revision => 46324
2014-09-25 15:57 Vincent Snijders Status assigned => resolved
2014-09-25 15:57 Vincent Snijders Fixed in Version => 1.3 (SVN)
2014-09-25 15:57 Vincent Snijders Resolution open => fixed